mia-3dfluid-syn-registration
Prev | Registration, Comparison, and Transformation of 3D images | Next

### mia-3dfluid-syn-registration

#### Sysnopis:

`mia-3dfluid-syn-registration` {-i `io`} {-r `io`} {-o `io`} {-O `io`} [ `options` ...]

#### Description:

This program implements the registration of two gray scale 3D images. The transformation applied is a symmeric diffeomorpic fluid dynamic registration. To work most efficiently, this program makes a few assumptions about the imput data, i.e. the image must be of the same size, have the same voxel spacing, and any intensity range normalization or equalization should also be done before calling this program.

#### Options:

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### IO

-i, --in-image=(input, required); io

  test image. For supported file types see Plugin type: 3dimage/io

-r, --ref-image=(input, required); io

  reference image. For supported file types see Plugin type: 3dimage/io

-o, --transform=(output, required); io

  output transformation. For supported file types see Plugin type: 3dtransform/io

-O, --inverse-transform=(output, required); io

  inverse output transformation. For supported file types see Plugin type: 3dtransform/io

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Registration

-l, --mg-levels=3; uint

  Number of multi-resolution levels to run the registration on. Not that some registration parameters can be given as a coma separated list to indicate per level values. In these cases if the number of given values is smaller than the number of multi-resolution levels (this parameter), the the last given value is used for all subsequent multi-resolution levels.

-S, --step=0.25; float in (0, 0.5]

  Initial step size for all levels

-c, --cost=ssd; factory

  Image similarity function to be minimized. For supported plug-ins see Plugin type: 3dimage/cost

-R, --regularizer=sor:kernel=fluid,maxiter=50; factory

  Regularization for the force to transformation update. For supported plug-ins see Plugin type: 3dvf/regularizer

-T, --conv-test-interval= in [4, 40]

  Convergence test interations intervall: In order to measure convergence the cost function value is averaged over this amount of iterations, and the decline rate is evaluated based on the linare regression of the cost function values in this intervall. This parameter can be given as a coma-seperated list with values corresponding to the multi-resolution levels, see option --mg-levels for more information.

-D, --stop-decline-rate= in [0, inf)

  Stopping criterium for registration based on the cost decline rate. If the rate below this value, the iteration is stopped. This parameter can be given as a coma-seperated list with values corresponding to the multi-resolution levels, see option --mg-levels for more information.

-C, --stop-cost=

  Stopping criterium for registration based on the cost value. If the cost drops below this value, the iteration is stopped. This parameter can be given as a coma-seperated list with values corresponding to the multi-resolution levels, see option --mg-levels for more information.

-I, --iter= in [4, inf)

  Naximum number if iterations done on each multi-resolution level. This parameter can be given as a coma-seperated list with values corresponding to the multi-resolution levels, see option --mg-levels for more information.

#### Example:

Register image test.v to image ref.v saving the transformation to transform.v and the inverse transform to inverse-transform.v. Use three multiresolution levels, ssd as image cost function.

    mia-3dfluid-syn-registration -i test.v -r ref.v -t transform.v -T inverse-transform.v  -l 3 ssd

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dfluid | Home | mia-3dforce